Developer Docs

Table of contents

Get Viber tariff

To get Viber tariffs, make a request to this URL:

GET https://api.wwt.world/viber/prices/{tariff}

Request parameters

ParameterRequiredTypeDescription
tariffNointegrBy default (if absent) it is assumed to be 0 (Global tariff).

If request is successful, you will receive a response:

{
    "error": "0",
    "prices": [
        {
            "type": "viber",
            "country": " AE",
            "country_name": "United Arab Emirates",
            "mcc": " 424",
            "price": "0.01",
            "currency": "EUR"
        }
    ]
}

The response will list all countries for which it is possible to send SMS messages, together with prices.

In case the request contains an error, you will receive response:

{
   "error":"6",
   "errorDescription":"Invalid tariff code"
}